Bug 1306452 - anaconda should leave a clean /tmp directory
Summary: anaconda should leave a clean /tmp directory
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 32
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Vendula Poncova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1306894 1690368 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-10 22:05 UTC by Orion Poplawski
Modified: 2021-04-30 02:21 UTC (History)
10 users (show)

Fixed In Version: anaconda-34.22-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-30 02:21:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Orion Poplawski 2016-02-10 22:05:04 UTC
Description of problem:

After a fresh install I see the following message at boot:

systemd: tmp.mount: Directory /tmp to mount over is not empty, mounting anyway.

After unmounting the tmpfs /tmp, I see:

# find /tmp
/tmp
/tmp/.font-unix
/tmp/ks-script-jnrwm4fj
/tmp/.pki
/tmp/.pki/nssdb
/tmp/ks-script-r3a5xd6x
/tmp/.ICE-unix
/tmp/.Test-unix
/tmp/.X11-unix
/tmp/.XIM-unix

It would be good if anaconda did not leave these files there, perhaps by mounting /mnt/sysimage/tmp as a tmpfs during install as well?

Version-Release number of selected component (if applicable):
24.8-1

Comment 1 Martin Kolman 2016-02-12 10:40:18 UTC
*** Bug 1306894 has been marked as a duplicate of this bug. ***

Comment 2 Jan Kurik 2016-02-24 15:44:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 3 Yuri Arabadji 2016-07-13 16:41:59 UTC
+1. Especially when you've got sensitive data in kickstart that's used to provision the server.

Comment 4 Fedora End Of Life 2017-07-25 19:55:16 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-08-08 12:45:52 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Chris Murphy 2020-02-03 05:26:14 UTC
anaconda-32.21-1.fc32

It's still a problem in Rawhide.


[hack@localhost tmp]$ ll
total 4
-rwx------. 1 root root 1379 Jan 26 03:26 ks-script-sbglhh9d
[hack@localhost tmp]$

Comment 7 Ben Cotton 2020-02-11 15:40:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 8 Jiri Konecny 2020-03-26 09:43:24 UTC
*** Bug 1690368 has been marked as a duplicate of this bug. ***

Comment 9 Vendula Poncova 2021-01-22 12:51:04 UTC
Fixed in a pull request: https://github.com/rhinstaller/anaconda/pull/3115

Comment 10 Fedora Program Management 2021-04-29 17:08:24 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Orion Poplawski 2021-04-30 02:21:05 UTC
Assuming this is fixed in F34


Note You need to log in before you can comment on or make changes to this bug.